Subject: Re: bug#55412: 28.1; In Emacs 28.1, using ':eval' in 'frame-title-format' doesn't work properly

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 May 2022 19:51:54 +0300

> Date: Wed, 18 May 2022 16:38:32 +0000
> Cc: [email-masked], [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > Thanks, but shouldn't this somehow depend on the value of
> > minibuffer-follows-selected-frame?
> 
> I think it does.  If minibuffer-follows-selected-frame is nil, when we
> return to a frame on which a minibuffer has been opened, the minibuffer
> will still be there, so there is no need to select a different window.
> 
> If m-f-s-frame is t, and we have moved away from the frame on which a
> minibuffer was opened, that minibuffer will have moved to the new frame.
> It will either be terminated before we return to the original frame (in
> which case we select a window different from the now invalid
> mini-window), or the minibuffer returns to the original frame when we
> switch back.
> 
> The critical criterion is whether there's a valid minibuffer in the
> mini-window of the frame we switch to.  It doesn't really matter whether
> that minibuffer has moved between frames, or was always there.  So,
> maybe this process is independent of minibuffer-follow-selected-frame.
> But I think it works.

It would be good to have some of these explanations in comments there.